SETUP(2)

NAME
setup - setup devices and file systems, mount root file system

SYNOPSIS
#include <unistd.h>

int setup(void);

DESCRIPTION
setup() is called once from within linux/init/main.c. It calls initialization functions for devices and file systems configured into the kernel and then mounts the root file system.

No user process may call setup(). Any user process, even a process with superuser permission, will receive EPERM.

RETURN VALUE
setup() always returns -1 for a user process.

ERRORS

EPERM
    Always, for a user process.

VERSIONS
Since Linux 2.1.121, no such function exists anymore.

CONFORMING TO
This function is Linux-specific, and should not be used in programs intended to be portable, or indeed in any programs at all.

NOTES
The calling sequence varied: at some times setup () has had a single argument void *BIOS and at other times a single argument int magic.

COLOPHON
This page is part of release 3.52 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.